Subject: RE: PMP> Printer MIB draft-11 posted at PWG site (10 January 2002 )

From: "Hopkins, Mark" <[email-masked]>
Date: Fri, 15 Mar 2002 17:18:17 -0500

Ira,

I am confused about the messages from PWG concerning media size names in the
Printer MIB and IEEE-ISTO 5101.  In particular, in the Printer MIB,
shouldn't prtInputMediaName reference IEEE-ISTO 5101.1 in preference to
Appendix C.  And it seems that the Self-Describing Name should be encouraged
as the default MediaName.

Also, please note that the last line of the first paragraph of Appendix B
uses the object name prtMediaDimFeedDir.  I believe you mean
prtInputChosenMediaDimFeedDir.

Thanks for pushing the Printer MIB through the process.

Mark Hopkins 

-----Original Message-----
From: McDonald, Ira [mailto:[email-masked]]
Sent: Thursday, January 10, 2002 2:15 PM
To: McDonald, Ira; [email-masked]'; [email-masked]'
Cc: [email-masked]'; [email-masked]'; [email-masked]';
[email-masked]'; [email-masked]'
Subject: RE: PMP> Printer MIB draft-11 posted at PWG site (10 January
2002 )

Hi folks,

I just posted the latest version of Printer MIB v2 (draft-11) at the
PWG FTP server - this copy DOES have the formfeeds (page breaks), so
it prints and views better.  And I extracted and compiled and verified
the ASN.1 for the MIB.

To the best of our knowledge this version corrects all problems that
Bert Wijnen, David Harrington, and Juergen Schoenwaelder have found.
The editors believe this document is now ready for publication as an RFC.

At the PWG anonymous FTP server in the directory:

    ftp://ftp.pwg.org/pub/pwg/pmp/drafts/

in the files:

    draft-ietf-printmib-mib-info-11.txt -- full document w/ formfeeds

    draft-ietf-printmib-mib-info-11.mib -- extracted ASN.1 for MIB

Cheers,
- Ira McDonald, co-editor of Printer MIB v2
  High North Inc
  [email-masked]

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, January 07, 2002 11:44 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked]
Subject: PMP> RE: Response to Printer MIB Comments of 15 Nov, 2001

Bert,

Our latest version MIB is now *finally* available at:

http://www.ietf.org/internet-drafts/draft-ietf-printmib-mib-info-11.txt

Unfortunately, the posted version is missing form feeds.  Ira McDonald has a
version that contains the missing form feeds and is also planning to run it
through David Perkins' "mstrip" tool to extract the MIB.  I can send to you
either the version with form feeds and/or the stripped MIB if don't want to
deal with unfriendly version that was posted.

	Ron Bergman

-----Original Message-----
From: Wijnen, Bert (Bert) [mailto:[email-masked]]
Sent: Saturday, December 08, 2001 9:08 PM
To: Bergman, Ron; [email-masked]'
Cc: [email-masked]'; [email-masked]'; [email-masked]'; Ira
McDonald (E-mail); Harry Lewis (E-mail); Ray Casterline (E-mail 2)
Subject: RE: Response to Printer MIB Comments of 15 Nov, 2001

I did not yet look at the new rev (too busy preparing for
IETF... and I bet Dave Harington is in same situation).

Why don;t you post the new draft as soon as repository opens up 
again and then we'll review.

Bert 

> -----Original Message-----
> From: Bergman, Ron [mailto:[email-masked]]
> Sent: Tuesday, December 04, 2001 5:03 PM
> To: [email-masked]'
> Cc: [email-masked]'; [email-masked]'; [email-masked]'; Ira
> McDonald (E-mail); Harry Lewis (E-mail); Ray Casterline (E-mail 2)
> Subject: Response to Printer MIB Comments of 15 Nov, 2001
> 
> 
> Bert,
> 
> The Working Group has had extensive discussions relating to
> the five points that you presented on November 15.  We have
> finally reached an agreement and propose changes for all 5
> issues.  
> 
> Please let me know if you would like an updated draft 
> immediately, or would like first to complete your review of 
> the previous draft (version 10).  I have not seen any
> comments on this version from either yourself or David or
> Juergen.  Can we assume there are no further issues?
> 
> Please see the comments from the WG, prefixed by "WG>>".
> 
> 	Ron Bergman
> 
> 
> Original Message...
> 
> Ron... if you have it complete, maybe you can send us a prelimenary 
> copy to quickly check if we are happy with it.
> 
> Juergen, that for checking with your nice little tool/toy.
> 
> More comments inline
> 
> Bert 
> 
> > -----Original Message-----
> > From: Bergman, Ron [mailto:[email-masked]]
> > Sent: Thursday, November 15, 2001 9:07 PM
> > To: 'Juergen Schoenwaelder'
> > Cc: [email-masked]; [email-masked]; [email-masked];
> > Bergman, Ron; [email-masked]; [email-masked]; 
> > [email-masked];
> > [email-masked]; [email-masked]
> > Subject: RE: Print MIB 09
> > 
> > 
> > Juergen,
> > 
> > Thank you again for the comments.  I have just about 
> > completed the draft, so
> > I should be able to incorporate any changes necessary in 
> > version 10.  See my
> > comments below prefixed by RB>>.
> > 
> > 	Ron
> > 
> > -----Original Message-----
> > From: Juergen Schoenwaelder [mailto:[email-masked]]
> > Sent: Thursday, November 15, 2001 1:28 AM
> > To: [email-masked]
> > Cc: [email-masked]; [email-masked]; [email-masked];
> > [email-masked]; [email-masked];
> > [email-masked]; [email-masked]; [email-masked];
> > [email-masked]
> > Subject: Re: Print MIB 09
> > 
> > 
> > 
> > >>>>> Bergman, Ron writes:
> > 
> > Ron> I believe that all issues are now resolved and I 
> estimate we will
> > Ron> have a revised MIB by early next week.
> > 
> > I did run the MIB through smidiff yesterday (a tool which 
> computes the
> > changes between two MIB versions) and I found some things I 
> wanted to
> > share.
> > 
> > - There are some changes which, if you take the rules very strictly,
> >   can turn compliant implementations to be non-compliant, 
> even though
> >   the document says:
> > 
> >    This draft supercedes and replaces RFC 1759.  However, a 
> compliant
> 
> I would also change "daft" in "document" so the text is still 
> valid when
> it becomes an RFC.
> 
> WG>> This is a very good suggestion and will be changed.
> **************************************************************
> *********
> 
> >    implementation of RFC 1759 is also compliant with this 
> draft.  The
> >    following changes to RFC 1759 are included:
> > 
> >   For example, prtConsoleLightIndex changed from Integer32 
> (0..65535)
> >   to Integer32 (1..65535). Perhaps this just fixes a typo in the
> >   original MIB - but it would be worthwhile to list changes such as
> >   this explicitely.
> > 
> > RB>> This was definitely a typo, since index values are 
> never zero.  
> >      I will add this (and two other similar changes) to section 4.
> > 
> Such changes would be good to list in the REVISION clause as well
> 
> WG>> We will add as suggested and review the remaining changes to 
>      determine if any others should also be included.
> **************************************************************
> *********
> 
> >   Also, prtInputDefaultIndex changed from Integer32 (1..65535) to
> >   Integer32 and prtMarkerColorantValue changed from (SIZE 
> (0..63)) to
> >   (SIZE (0..255)).
> > 
> > RB>> prtInputDefaultIndex was also a typo, since this object allows
> >      -1 per the description clause.  This has been corrected.
> > 
> It seems to me that maybe it should be:
> 
>      Integer32 ( -1 | 1..65535) 
> 
> You're no allowing any negative value, are you?
> 
> And how about the size extension?
> 
> WG>> In reviewing this issue we have determined that this is not a
>      change compatible with RFC 1759, since the text in the
>      description clause that indicates the use of -1 was not in 
>      RFC 1759.  The WG has agreed to remove this added text and 
>      restore the range to (1..65535) as in RFC 1759.
> **************************************************************
> *********
> 
> > - The prtChannelIndex and prtAlertIndex both have a range
> >   (1..2147483647) addded while all the other *Index objects seem to
> >   prefer (1..65535). The wider range is from an architectural
> >   standpoint better, but for consistency, the smaller range might be
> >   better. What did people actually implement?
> > 
> > RB>> I will change both to the smaller value to be consistent.
> > 
> And the WG explicitly agrees with all this, right?
> If so, then I am OK with that, assuming that this is based on 
> implementation experience.
> 
> In RFC1759 there was no limit, so (1..2147483647) was the range of
> valid values there.
> 
> WG>> The range for prtChannelIndex is OK as (1..65535).  No printer
>      will ever require more than this amount.  However, we have found 
>      a problem with prtAlertIndex and will change this back to
>      (1..2147483647).
> 
>      There is also a compatibility problem with the smaller range for
>      prtStorageRefIndex and prtDeviceRefIndex.  To agree with RFC 2790
>      (HR MIB) these will be changed to (0..2147483647). This change 
>      will also be noted in the REVISION clause.
> **************************************************************
> *********
> 
> > - Should you not use InterfaceIndexOrZero in prtChannelIfIndex? The
> >   description also refers to RFC 1213 where it should refer to the
> >   IF-MIB, currently in RFC 2863. This creates a dependency 
> but I think
> >   this is fine as the IF-MIB is already at Draft.
> > 
> > RB>> Use of RFC 2863 was previously review by the WG and it 
> was felt 
> >      this was likely to result in too many additional dependencies.
> >      Use of InterfaceIndexOrZero also has similar problems. 
>  We would 
> >      prefer to not change since there have not been any 
> implementation
> >      problems reported in this area.
> >  
> Ron... it seems that InterfaceIndexOrZero is exactly what you want.
> It is the most up to date way on how we specify these things 
> these days.
> The TC is an Integer32 underneath that allows exactly the values that
> you want. And so there is no change on the protocol on the wire or
> on the data types that you send/receive. 
> I strongly recommend to use InterfaceIndexOrZero.
> 
> WG>> We have reviewed this issue again and agree to change the SYNTAX
>      clause to InterfaceIndexOrZero.  Our previous concerns were based
>      on this "tied" into RFC 2863.  As long as we do not have to 
>      require RFC 2863, this is acceptable.  (Most printer manufactures
>      have incorporated purchased IP stacks and the cost and logistics
>      of upgrading these stacks would be prohibitive at this time.)
> **************************************************************
> *********
> 
> Right now you agreed to recycle at PS. So it is a good time 
> to do this.
> By the time you ever get to Draft or (full) Standard, MIB II (RFC1213)
> may have gone to historic, and then you need to change anyway.
> 
> Bert
>

---

From: "McDonald, Ira" <[email-masked]>
Date: Sat, 16 Mar 2002 09:02:59 -0800

Hi Mark,

[The IEEE-ISTO 5101.1 media names standard is brand new.  The most recent
Printer MIB draft (17 December 2001) preceded the adoption of 5101.1.]

1) [my opinion - not a concensus of the editors or WG] 

Ira - Yes, 'prtInputMediaName', 'prtInputMediaDimFeedDirChosen', 
'prtInputMediaDimXFeedDirChosen', 'prtInputMediaDimUnit',
and Appendix B Media Size Names and Appendix C Media Names 
_should_ be revised to reference IEEE-ISTO 5101.1 as successor and 
superset of ISO 10175 (DPA) names.  And I agree that use of the Self
Describing Name should be _recommended_ (not required, because it's
not backward compatible with RFC 1759, Printer MIB v1) for use in the
'prtInputMediaName' object.
Rationale - IEEE-ISTO 5101.1 is intended to be reference _by_ other
standards (like a revision of IPP/1.1, Bluetooth Print, UPnP Print,
and others) that use media names.  A Printer MIB normative reference
to IEEE-ISTO 5101.1 should be OK, in an IETF 'standards track' RFC,
because 5101.1 has been adopted and archived at the PWG web site.

Ron and Ray - comments?

2) [typo in Appendix B]

Ira - Yes, there are two typos at the end of the first paragraph in 
Appendix B.  It _should_ say both 'prtInputMediaDimFeedDirChosen'
and 'prtInputMediaDimXFeedDirChosen'.

Ron - we need to capture this typo for RFC Editor.

Cheers,

-----Original Message-----
From: Hopkins, Mark [mailto:[email-masked]]
Sent: Friday, March 15, 2002 4:18 PM
To: 'McDonald, Ira'; [email-masked]';
[email-masked]'

Ira,

Mark Hopkins 

-----Original Message-----
From: McDonald, Ira [mailto:[email-masked]]
Sent: Thursday, January 10, 2002 2:15 PM
To: McDonald, Ira; [email-masked]'; [email-masked]'
Cc: [email-masked]'; [email-masked]'; [email-masked]';

Hi folks,

in the files:

Cheers,

---

From: [email-masked]
Date: Mon, 18 Mar 2002 12:09:01 -0800

Ira,

I have added the typo in Appendix B to my list for the items to be corrected
when the document reaches the RFC Editor's queue.  I agree that we need to
add a reference to the new Media Names standard to section 10 and a note
added to Appendix B and C indicating this document defines the "latest"
recommended method.  We can word-smith some text in the next few weeks.

Are you at the IETF meeting?  If so, can you link up with Bert or Juergen to
get a feel for how much longer?  I had intended to call you last week on
this subject, but then the week was gone.  I am leaving on vacation on
Wednesday.  I will still have access to email but will only check in the
evenings.

	Ron

-----Original Message-----
From: McDonald, Ira [mailto:[email-masked]]
Sent: Saturday, March 16, 2002 9:03 AM
To: 'Hopkins, Mark'; McDonald, Ira; [email-masked]';
[email-masked]'

Hi Mark,

Ron and Ray - comments?

2) [typo in Appendix B]

Cheers,

-----Original Message-----
From: Hopkins, Mark [mailto:[email-masked]]
Sent: Friday, March 15, 2002 4:18 PM
To: 'McDonald, Ira'; [email-masked]';
[email-masked]'

Ira,

Mark Hopkins 

-----Original Message-----
From: McDonald, Ira [mailto:[email-masked]]
Sent: Thursday, January 10, 2002 2:15 PM
To: McDonald, Ira; [email-masked]'; [email-masked]'
Cc: [email-masked]'; [email-masked]'; [email-masked]';

Hi folks,

in the files:

Cheers,

---

From: "McDonald, Ira" <[email-masked]>
Date: Mon, 18 Mar 2002 13:14:42 -0800

Hi Ron,

No, I'm not at the IETF meeting, unfortunately.  In the 14 March
version of IESG Status <http://www.ietf.org/IESG/status.html>,
Printer MIB v2 and Printer Finishing MIB are not under IESG
discussion.

According to today's version of "Submissions to the IESG"
<http://www.ietf.org/IESG/request.html>, PMv2 and Finisher MIB
are assigned to 'UND' (not the APP area).  Does that mean
'under discussion'?  Don't know - there's no key on that page.

UND 2001-09-11 Printer Finishing MIB (Proposed )
draft-ietf-printmib-finishing-12.txt
UND 2001-09-11 Printer MIB v2 (Proposed )
draft-ietf-printmib-mib-info-11.txt

Bert - Can you give us any timeframe update for IESG 'last call'
on these two MIBs?  I believe we've edited them for all of 
David's and Juergen's concerns.

Cheers,

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Monday, March 18, 2002 2:09 PM
To: [email-masked]; [email-masked];
[email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]
Subject: RE: PMP> Printer MIB draft-11 posted at PWG site (10 January
2002 )

Ira,

	Ron

-----Original Message-----
From: McDonald, Ira [mailto:[email-masked]]
Sent: Saturday, March 16, 2002 9:03 AM
To: 'Hopkins, Mark'; McDonald, Ira; [email-masked]';
[email-masked]'

Hi Mark,

Ron and Ray - comments?

2) [typo in Appendix B]

Cheers,

-----Original Message-----
From: Hopkins, Mark [mailto:[email-masked]]
Sent: Friday, March 15, 2002 4:18 PM
To: 'McDonald, Ira'; [email-masked]';
[email-masked]'

Ira,

Mark Hopkins 

-----Original Message-----
From: McDonald, Ira [mailto:[email-masked]]
Sent: Thursday, January 10, 2002 2:15 PM
To: McDonald, Ira; [email-masked]'; [email-masked]'
Cc: [email-masked]'; [email-masked]'; [email-masked]';

Hi folks,

in the files:

Cheers,